# $cursor-x(5)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

$cursor-x - Cursor X (horizontal) position
$cursor-y - Cursor Y (vertical) position

## SYNOPSIS

$cursor-x integer

0 <= integer <= $frame-width - 1

$cursor-y integer

0 <= integer <= $frame-depth - 1

## DESCRIPTION

$cursor-x and $cursor-y are automatically set to the position of the cursor at the last screen update (i.e. the variables are not updated between screen updates). The top left character of the screen is coordinate 0,0 bottom right is $frame-width, $frame-depth.

## NOTES

These variables can not be set. Any attempt to set them will result in an error.

## SEE ALSO

$mouse-x(5), $frame-depth(5), $frame-width(5).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>